EDIT - bug #6326

Login from taxeditor not possible after logging out of vaadin distribution editor
01/12/2017 10:01 AM - Patrick Plitzner

Status: Worksforme Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour

Target version:

Severity: normal Found in Version:

Description
| tested this with flora cuba on the test server (http:/test.e-taxonomy.eu/cdmserver/flora_cuba/app/distribution)

1. Login to vaadin distribution error

2. Do nothing and log out

3. Try login to flora cuba with taxeditor
4. see exception below

login
editor version : 4.5.0.qualifier
server : /

schema version :
os : Linux 4.4.0-57-generic amd64
java : 1.7.0_40
org.springframework.security.authentication.InternalAuthenticationServiceException: Could not open
Hibernate Session for transaction; nested exception is org.hibernate.SessionException: Session is
closed!

at org.springframework.security.authentication.dao.DacAuthenticationProvider.retrieveUser (DaoA
uthenticationProvider.java:126)

at org.springframework.security.authentication.dao.AbstractUserDetailsAuthenticationProvider.a
uthenticate (AbstractUserDetailsAuthenticationProvider. java:143)

at org.springframework.security.authentication.ProviderManager.authenticate (ProviderManager. ja
va:167)

at eu.etaxonomy.taxeditor.ui.dialog.RemotingLoginDialog.validatelLogin (RemotingLoginDialog. java
:972)

at eu.etaxonomy.taxeditor.ui.dialog.RemotingLoginDialog.connect (RemotingLoginDialog.java:879)

at eu.etaxonomy.taxeditor.ui.dialog.RemotingLoginDialog.connectButtonPressed (RemotingLoginDial
og.java:480)

at eu.etaxonomy.taxeditor.ui.dialog.RemotingLoginDialog.access$2 (RemotingLoginDialog. java:476)

at eu.etaxonomy.taxeditor.ui.dialog.RemotingLoginDialog$6.widgetSelected (RemotingLoginDialog. j
ava:358)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:240)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1258)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:3588)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3209)

at org.eclipse.ui.internal.Workbench.runEventLoop (Workbench. java:2701)

at org.eclipse.ui.internal.Workbench.runUI (Workbench.java:2665)

at org.eclipse.ui.internal.Workbench.access$4 (Workbench. java:2499)

at org.eclipse.ui.internal.Workbench$7.run (Workbench. java:679)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:332)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

at eu.etaxonomy.taxeditor.Application.start (Application.java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:110)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLlauncher.start (EclipseAppLauncher. java:
79)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:344)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter.java:179)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:606)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)

at org.eclipse.equinox.launcher.Main.run (Main.java:1410)

at org.eclipse.equinox.launcher.Main.main (Main. java:1386)
Caused by: org.springframework.transaction.CannotCreateTransactionException: Could not open Hibern
ate Session for transaction; nested exception is org.hibernate.SessionException: Session is closed
|

at org.springframework.orm.hibernateb5.HibernateTransactionManager.doBegin (HibernateTransaction
Manager.java:541)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.getTransaction (A
bstractPlatformTransactionManager. java:373)

at org.springframework.transaction.interceptor.TransactionAspectSupport.createTransactionIfNec
essary (TransactionAspectSupport.java:427)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:276)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy5686.loadUserByUsername (Unknown Source)

at sun.reflect.GeneratedMethodAccessorl975.1invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:497)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting.support.RemoteInvocationTracelInterceptor.invoke (RemotelInvocati
onTracelnterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$SProxy5785.1loadUserByUsername (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:497)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. java:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemotelIn
vocationExecutor. java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB
asedExporter. java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (Re
moteInvocationBasedExporter.java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvok
erServiceExporter. java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdap
ter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:871)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder.java:808)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:316)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.FilterChainProxy.doFilterInternal (FilterChainProxy.java:21

security.web.FilterChainProxy.doFilter (FilterChainProxy. java:176)
web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy. j

web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26

.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)

web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
servlet.ServletHandler.doHandle (ServletHandler. java:585)
server.handler.ScopedHandler.handle (ScopedHandler. java:143)
security.SecurityHandler.handle (SecurityHandler. java:577)
server.session.SessionHandler.doHandle (SessionHandler. java:223)
server.handler.ContextHandler.doHandle (ContextHandler.java:1127)
servlet.ServletHandler.doScope (ServletHandler. java:515)

session.SessionHandler.doScope (SessionHandler. java:185)
.handler.ContextHandler.doScope (ContextHandler. java:1061)
.handler.ScopedHandler.handle (ScopedHandler. java:141)
handler.ContextHandlerCollection.handle (ContextHandlerCollection.j
.handler.
.Server.handle (Server.java:497)

HttpChannel.handle (HttpChannel. java:310)
.HttpConnection.onFillable (HttpConnection. java:257)

HandlerWrapper.handle (HandlerWrapper. java:97)
at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)

at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

at java.lang.Thread.run (Thread. java:745)

at org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible
(RemoteInvocationUtils. java:45)

at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult
.java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemotelInvocation
Result (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor.java:150)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy7.loadUserByUsername (Unknown Source)

at org.springframework.security.authentication.dao.DaoAuthenticationProvider.retrieveUser (DaoA
uthenticationProvider.java:114)

33 more

Caused by: org.hibernate.SessionException: Session is closed!

at org.hibernate.internal.AbstractSessionImpl.errorIfClosed (AbstractSessionImpl. java:132)

at org.hibernate.internal.SessionImpl.beginTransaction (SessionImpl. java:1506)

at org.springframework.orm.hibernate5.HibernateTransactionManager.doBegin (HibernateTransaction
Manager. java:499)

127 more

History

#1 - 01/12/2017 10:02 AM - Patrick Plitzner

- Subject changed from Login not possible after loggging out of vaadin distribution editor to Login from taxeditor not possible after loggging out of
vaadin distribution editor

- Description updated
#2 - 01/12/2017 10:50 AM - Andreas Kohlbecker
A problem in the session handling? Maybe solved when #5285 is completed?
Are there any observable abnormality in the log of the cdm-remote instance when doing the login into vaadin ui?
#3 - 01/12/2017 11:28 AM - Patrick Plitzner
Andreas Kohlbecker wrote:
A problem in the session handling? Maybe solved when #5285 is completed?
Are there any observable abnormality in the log of the cdm-remote instance when doing the login into vaadin ui?

| already have an idea because at one time | "fixed" the logout functionality which is maybe the culprit.
(commit:vaadin|3e9b93db43a0afe8097bd3980eec70c1e8951ab9)

#4 - 01/12/2017 04:41 PM - Andreas Miuller

- Subject changed from Login from taxeditor not possible after loggging out of vaadin distribution editor to Login from taxeditor not possible after
logging out of vaadin distribution editor

#5 - 02/01/2018 09:39 PM - Andreas Miiller
- Status changed from New to Worksforme

- Target version deleted (Unassigned CDM tickets)

| can't reproduce this anymore. | tested on cuba production. Probably it is fixed with the above commit or with the general refactoring of security in
vaadin.
